%{?nodejs_find_provides_and_requires}

%global packagename assume
%global enable_tests 1

Name:		nodejs-assume
Version:	2.1.0
Release:	3%{?dist}
Summary:	Expect-like assertions that works seamlessly in node and browsers

License:	MIT
URL:		https://github.com/bigpipe/assume
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(is-buffer)
BuildRequires:	npm(propget)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(deep-eql)
BuildRequires:	npm(fn.name)
BuildRequires:	npm(object-inspect)
BuildRequires:	npm(pathval)
BuildRequires:	npm(pruddy-error)
%endif

%description
Expect-like assertions that works seamlessly in node and browsers


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

%nodejs_fixdep object-inspect
%nodejs_fixdep pathval
%nodejs_fixdep deep-eql
%nodejs_fixdep is-buffer

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js dist/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Feb 11 2019 Jared K. Smith <jsmith@fedoraproject.org> - 2.1.0-1
- Update to upstream 2.1.0 release

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Oct 04 2017 Jared Smith <jsmith@fedoraproject.org> - 1.5.1-4
- Update to upstream 1.5.2 release

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu May 04 2017 Jared Smith <jsmith@fedoraproject.org> - 1.5.1-1
- Update to upstream 1.5.1 release

* Thu Mar 30 2017 Jared Smith <jsmith@fedoraproject.org> - 1.4.1-2
- Fix dependency version for npm(pathval)

* Wed Mar 29 2017 Jared Smith <jsmith@fedoraproject.org> - 1.4.1-1
- Initial packaging
